@media (max-width: 62.5em) {
    .section__login {
        grid-template-columns: 1fr;
        grid-template-rows: min-content 1fr;
        background-color: var(--bg-primary);
        background-size: cover;
    }

    .main-container {
        justify-content: center;
        margin: 0;
    }

    nav {
        justify-content: center;
    }

    nav img {
        display: none;
    }
}

@media (min-width: 46.875em) {
    section > svg {
        display: none !important;
    }

    nav svg {
        display: none !important;
    }
}

@media (max-width: 46.875em) {
    .section__login {
        grid-template-rows: 1fr;
        background-color: var(--bg-secondary);
        background-image: none;
        padding: 2.4rem;
    }

    nav {
        position: absolute;
        top: 0;
        right: 0;
        background-color: #c34455;
        padding: 2.4rem 4.8rem;
        height: 100vh;
        flex-direction: column;
        box-shadow: -2px 0 3px rgba(0, 0, 0, 0.2);
    }

    nav.inactive,
    svg.inactive {
        display: none;
    }

    svg {
        width: 3.2rem;
        height: 3.2rem;
        fill: var(--text-white);
        position: absolute;
        top: 3.2rem;
        right: 3.2rem;
    }

    nav ul {
        flex-direction: column;
    }

    .nav-options {
        align-items: flex-start;
        gap: 2.4rem;
        font-size: 2rem;
    }

    .dropdown-container * {
        font-size: 2.0rem;
    }

    .dropdown-container .dropdown,
    .dropdown-container:hover .dropdown {
        visibility: visible;
        opacity: 1;
        transform: translateY(calc(100% + 1.2rem));
    }
}